function Test=testsDoperator3D()
% automatic generation with sage
% using command load("buildTestsDoperatorV2.sage")
% from directory    : mVecFEMP1
% GIT current commit: commit 779b0080bc2f59ce1f44fd065e524a2eeb770b79
% GIT current branch: * master
% GIT remote URL    : ssh://lagagit/MCS/Cuvelier/sage/sageFEM
e=exp(1);

%
% Test number 1
%
i=1;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) x1 + 1./2.*x2 + x3 + 1./5;
A{1,2}=@(x1,x2,x3) -3./2.*x1 - 2./5.*x2;
A{1,3}=@(x1,x2,x3) 1./3.*x1 + 5./2.*x2 + 1./5.*x3 - 1./3;
b{1}=@(x1,x2,x3) -1./2.*x1 + 3./4.*x2 + 5./4.*x3 - 1;
c{1}=@(x1,x2,x3) -1./3.*x1 - 1./3.*x2 + 1./2.*x3 - 1./3;
A{2,1}=@(x1,x2,x3) 2./3.*x1 - 1./3.*x2 - 4.*x3 + 5./3;
A{2,2}=@(x1,x2,x3) x1 - 4./5.*x2 + 1./4.*x3;
A{2,3}=@(x1,x2,x3) 5.*x1 - x2 - 4./3.*x3 + 5./4;
b{2}=@(x1,x2,x3) 1./5.*x2 - 1./2.*x3 - 2;
c{2}=@(x1,x2,x3) 4./3.*x1 + 4./5.*x2 + 2./3.*x3 - 1;
A{3,1}=@(x1,x2,x3) 1./2.*x1 + 2.*x2 - 2.*x3 - 5;
A{3,2}=@(x1,x2,x3) 3./2.*x2 - 1./4.*x3 + 5;
A{3,3}=@(x1,x2,x3) -1./3.*x1 + 1./3.*x2 + x3 + 4;
b{3}=@(x1,x2,x3) 4./3.*x1 + 5.*x2 + x3 - 3./5;
c{3}=@(x1,x2,x3) -4./5.*x1 - 3.*x2 + 1./2;
a0=@(x1,x2,x3) 3./4.*x1 - 3./2.*x2 - 2./5;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) 1./3.*x1 + 1./5.*x2 - 1./3.*x3 + 1;
v=@(x1,x2,x3) -x1 - 3./2.*x2 - 3./4.*x3 + 4;
Inum=0.5551273148148148;
I=47963/86400;
degree=1;
Test(i)=setTest(Dop,u,v,Inum,I,degree);

%
% Test number 2
%
i=2;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) 5./2.*x1.*x3 + 3./2.*x2.*x3 + 4.*x3.^2 + 1./2.*x3;
A{1,2}=@(x1,x2,x3) 3./4.*x1.*x2 + 3./4.*x3.^2 - 2.*x1;
A{1,3}=@(x1,x2,x3) 4.*x1.*x3 + 4.*x2.*x3 + x3 + 1;
b{1}=@(x1,x2,x3) 2.*x1.*x2 + 5./4.*x2.^2 + 5./2.*x3.^2 - 4.*x3;
c{1}=@(x1,x2,x3) -1./2.*x2.^2 + 4.*x1 - 3./4;
A{2,1}=@(x1,x2,x3) -4./5.*x1.*x2 - 1./4.*x1.*x3 + 1./2.*x2.*x3 - 1./2.*x1;
A{2,2}=@(x1,x2,x3) 4.*x1.*x2 + 1./2.*x3.^2 + 4.*x2 - 5./2.*x3;
A{2,3}=@(x1,x2,x3) 5.*x1.*x2 - 3.*x2.^2 - 1./2.*x1.*x3 + 2.*x3.^2;
b{2}=@(x1,x2,x3) -1./3.*x2.^2 + x1.*x3 - 2./3.*x3.^2 + 3./4.*x1;
c{2}=@(x1,x2,x3) -4.*x1.*x3 + 3./2.*x2.*x3 + 3./2.*x3.^2 + 3./4.*x3;
A{3,1}=@(x1,x2,x3) x2.*x3 + 2.*x3.^2 + 3./5;
A{3,2}=@(x1,x2,x3) -x1.*x2 + x2.^2 + x1.*x3 + 2./5.*x3;
A{3,3}=@(x1,x2,x3) -1./3.*x2.^2 + x3.^2 - 1./4.*x1 - 1./4.*x3;
b{3}=@(x1,x2,x3) 4./3.*x1.*x3 - x2.*x3 - 1./2.*x3.^2 + 3./5.*x1;
c{3}=@(x1,x2,x3) 1./5.*x2.*x3 - 1./2.*x3.^2 + 5./4.*x2 - 1./4.*x3;
a0=@(x1,x2,x3) 1./2.*x2.^2 + 2./5.*x1.*x3 + 1./2.*x3 - 2;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) 4./3.*x1.*x2 - 2./3.*x3.^2 - 3./4;
v=@(x1,x2,x3) 1./2.*x1.*x2 - 1./3.*x2.^2 - 5.*x2.*x3 + 1./4;
Inum=-6.370209619341564;
I=-198139/31104;
degree=2;
Test(i)=setTest(Dop,u,v,Inum,I,degree);

%
% Test number 3
%
i=3;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) -3.*x1.*x2.*x3 - 1./5.*x1.*x3.^2 + 5./4.*x2.*x3.^2 + 5./4.*x3;
A{1,2}=@(x1,x2,x3) 1./3.*x1.^2.*x2 - 5./2.*x1.^2 + x1.*x3;
A{1,3}=@(x1,x2,x3) -2./3.*x1.*x2.^2 - 1./3.*x3.^3 + 3.*x1;
b{1}=@(x1,x2,x3) -x1.^2 + 2.*x1.*x2 - 3./2.*x2.^2;
c{1}=@(x1,x2,x3) 2./3.*x1.*x2.*x3 + 1./3.*x2.*x3.^2 - 2./3.*x2.*x3 + 1./5.*x3;
A{2,1}=@(x1,x2,x3) -1./4.*x1.^2.*x2 + 1./4.*x3.^3 + 4./3.*x1.*x2 + 1./2.*x3.^2;
A{2,2}=@(x1,x2,x3) -1./2.*x2.^3 - 3./4.*x1.^2.*x3 - x2.*x3.^2 + x1.^2;
A{2,3}=@(x1,x2,x3) -4.*x2.^3 - 5.*x1.*x2.*x3 - 2.*x3.^3 + 3./5.*x2;
b{2}=@(x1,x2,x3) x1.*x2 + 5.*x1 + 1./2.*x2;
c{2}=@(x1,x2,x3) -3./4.*x2.*x3.^2 - 1./2.*x1.*x3 - 3.*x2 + 5./2;
A{3,1}=@(x1,x2,x3) -3./2.*x2.^2.*x3 + 1./3.*x2.*x3.^2 + x1.*x3 - 2;
A{3,2}=@(x1,x2,x3) -x2.*x3.^2 + 3./4.*x1.^2 + 3.*x2 + 1;
A{3,3}=@(x1,x2,x3) -4./5.*x1.*x2.^2 + 1./5.*x2.^3 + 5./3.*x1.*x3.^2 - x3;
b{3}=@(x1,x2,x3) 1./2.*x1.^2.*x3 - 5./4.*x1.*x2.*x3 - 1./2.*x2.^2 + 2./3.*x1.*x3;
c{3}=@(x1,x2,x3) x1.*x3.^2 + 5.*x1.^2 + 2.*x1.*x3 - 2./3.*x3;
a0=@(x1,x2,x3) x1.*x2.^2 - x2.^3 - x2.^2.*x3 + 2./3.*x2.*x3;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) -x2.^3 - 2./5.*x1.^2 + 1./4.*x1.*x2 + 5.*x3.^2;
v=@(x1,x2,x3) -3./4.*x1.^2.*x2 - 2./3.*x1.*x2 - 2./5.*x3.^2;
Inum=-0.8485244341563786;
I=-3299063/3888000;
degree=3;
Test(i)=setTest(Dop,u,v,Inum,I,degree);

%
% Test number 4
%
i=4;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) -3./2.*x1.^3.*x3 - 3.*x1.*x2 + 3./2.*x2.*x3;
A{1,2}=@(x1,x2,x3) -1./2.*x1.*x2.^2.*x3 + 3./2.*x1.^2.*x3.^2 + 3./4.*x2.^3 + x3.^3;
A{1,3}=@(x1,x2,x3) -1./2.*x2.^3.*x3 + x1.*x2.*x3.^2 - 5./3.*x3.^4;
b{1}=@(x1,x2,x3) -2./5.*x2.^3.*x3 + 3./2.*x3.^4 + x2.^2 - 1./2.*x1;
c{1}=@(x1,x2,x3) -1./2.*x3.^4 + 2.*x1.*x2.*x3 + 4./3.*x2.^2.*x3 - 3./2.*x3.^2;
A{2,1}=@(x1,x2,x3) -3./5.*x1.^2.*x2.^2 + 3./4.*x1.^3 + 3./2.*x2.^3 - 3./2.*x2;
A{2,2}=@(x1,x2,x3) x1.^3.*x2 - 4.*x1.*x2.^2.*x3 + 3./2.*x2;
A{2,3}=@(x1,x2,x3) -4./5.*x2.^4 + 2./5.*x1.*x2.^2.*x3 + 3.*x1.^2.*x2 + x3.^2;
b{2}=@(x1,x2,x3) -1./5.*x1.^2.*x2.^2 - x3.^4 - x1.*x2 - 2./3.*x3.^2;
c{2}=@(x1,x2,x3) -1./2.*x3.^3 - 3./2.*x2.^2 - 2.*x1 - 1./3.*x2;
A{3,1}=@(x1,x2,x3) -x1.*x2.*x3.^2 + 5./3.*x1.*x2.*x3 - 3.*x1.*x3.^2 - 1./2;
A{3,2}=@(x1,x2,x3) -x1.*x2.^2.*x3 - 2./3.*x1.^2.*x3.^2 - 3.*x1.*x3.^3 + 2./3.*x1.^3;
A{3,3}=@(x1,x2,x3) -4.*x1.*x2.^2.*x3 + 3.*x3.^3 - 1;
b{3}=@(x1,x2,x3) -1./2.*x1.^2.*x2.^2 - 5./4.*x1.^3 - 1./5.*x1.^2.*x3 + 4.*x3.^3;
c{3}=@(x1,x2,x3) 1./4.*x1.*x2.^3 - 4./3.*x1.^2.*x2.*x3 + x1.*x3.^3 - x3;
a0=@(x1,x2,x3) -1./2.*x1.*x2.^3 - 4./3.*x3.^4 + 3./4.*x2.^2.*x3 - 1./5.*x1.*x3.^2;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) x1.^2.*x2.*x3 - 3./2.*x1.^2.*x3.^2 - 2.*x1.*x2.^2 - 1./3.*x1.^2.*x3;
v=@(x1,x2,x3) x1.*x3.^3 + 1./4.*x2.*x3.^3 + 4./5.*x1.^3;
Inum=6.197880742945326;
I=562271741/90720000;
degree=4;
Test(i)=setTest(Dop,u,v,Inum,I,degree);

%
% Test number 5
%
i=5;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) -1./3.*x1.^4.*x3 - 2.*x1.^3.*x3 - x2.^3;
A{1,2}=@(x1,x2,x3) 1./3.*x1.^4 + 1./4.*x1.*x2.^2.*x3 + 2./5.*x1.*x2 - 4./3.*x2.^2;
A{1,3}=@(x1,x2,x3) -1./5.*x1.^2.*x2.^3 - x1.^2.*x3.^3 + 5.*x2.^2.*x3.^3 - 5./3.*x2.*x3;
b{1}=@(x1,x2,x3) x1.^4.*x2 - 2.*x2.^5 + x2.*x3.^4 - 4./3.*x1.*x2;
c{1}=@(x1,x2,x3) 2./3.*x1.^4 + 2.*x1.*x2.^2 + 4.*x2;
A{2,1}=@(x1,x2,x3) -5./3.*x1.^2.*x2.^2.*x3 + 4./5.*x1.*x2.^2.*x3.^2 - 3./5.*x1.^3.*x2 + 5./3.*x1.*x2.^3;
A{2,2}=@(x1,x2,x3) -3.*x1.^4.*x2 + x1.^3.*x2.^2 + x1.^3.*x2.*x3 - 5.*x1;
A{2,3}=@(x1,x2,x3) -x1.*x3.^4 + 3./2.*x1.*x2.^3 - 5.*x2.^2.*x3;
b{2}=@(x1,x2,x3) 4./3.*x2.^2.*x3.^3 + 3./4.*x1.^2.*x2.^2 + 3./4.*x1.*x2.^2 + 4./5.*x2.^3;
c{2}=@(x1,x2,x3) 4.*x1.^4.*x2 + 4.*x2.^4.*x3 - 2.*x1.*x2.*x3.^3 - 1./2.*x2.^2;
A{3,1}=@(x1,x2,x3) x2.*x3.^4 + 5.*x3.^5 - 4./5.*x1.^3.*x3 + 1./3.*x3.^4;
A{3,2}=@(x1,x2,x3) 4./5.*x1.^4.*x2 - 2.*x1.*x2.*x3.^3 - 1./3.*x2.^2.*x3.^2 + 3./4.*x1.^2.*x3;
A{3,3}=@(x1,x2,x3) -4.*x1.*x3.^4 + 1./4.*x1.*x3.^3 + 5./2.*x1.^3 - 2.*x3;
b{3}=@(x1,x2,x3) 2./5.*x1.^2.*x2.^2 - 3./4.*x1.*x3.^3 - 4./3.*x1.*x3.^2;
c{3}=@(x1,x2,x3) 3./4.*x1.^4.*x2 - 2./5.*x2.^2.*x3 - 1./4.*x1.*x3.^2;
a0=@(x1,x2,x3) -2.*x1.^4.*x3 - 2.*x1.^2.*x2.^2 + 1./2;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) 3./4.*x2.^4.*x3 - 1./4.*x1.^3.*x3.^2 - 4.*x1.^2.*x3.^2 - 1./2.*x1.^2.*x2;
v=@(x1,x2,x3) -3./2.*x1.^3.*x3.^2 + 3./5.*x2.^2.*x3.^3 - 3./5.*x2.^4 - 5./2.*x1.^2.*x2;
Inum=-1.968262779638792;
I=-68745907757/34927200000;
degree=5;
Test(i)=setTest(Dop,u,v,Inum,I,degree);

%
% Test number 6
%
i=6;
d=3;
name='sage_polyrand';
A{1,1}=@(x1,x2,x3) -x1.^2.*x2.^3.*x3 - 4./3.*x1.*x2.^4.*x3 - 3./4.*x1.*x3.^4;
A{1,2}=@(x1,x2,x3) 1./4.*x1.^2.*x2.^3.*x3 + 1./3.*x1.*x2.^3.*x3.^2 + 2./3.*x2.^4.*x3.^2 + 3./2.*x1.*x2.^2.*x3.^3;
A{1,3}=@(x1,x2,x3) -4./5.*x1.*x2.*x3.^4 + 4./3.*x2.*x3.^5 + 2.*x1.^3.*x2.*x3 - 3.*x2.*x3.^2;
b{1}=@(x1,x2,x3) -3./4.*x1.^2.*x2.^3.*x3 - 1./2.*x2.^3.*x3.^2 - 3./4.*x2;
c{1}=@(x1,x2,x3) 1./5.*x1.^2.*x3.^4 + 4./5.*x2.^2.*x3.^4 - 3.*x1.*x2.^2.*x3.^2 - 4.*x2.*x3.^2;
A{2,1}=@(x1,x2,x3) -1./5.*x2.*x3.^5 - 3.*x2.^4;
A{2,2}=@(x1,x2,x3) -1./2.*x1.^5.*x3 + 1./2.*x1.*x2.^2.*x3 + x2.^2;
A{2,3}=@(x1,x2,x3) x1.^4.*x2.^2 + 2.*x1.^2.*x2.*x3.^2 - 2.*x1.*x3 + 1;
b{2}=@(x1,x2,x3) -2./3.*x1.^5.*x2 + x2.^5 + 5./3.*x2.^4.*x3 - 3./4.*x1.*x3;
c{2}=@(x1,x2,x3) 5./3.*x2.^5.*x3 + 1./2.*x1.*x2.^3.*x3 - 2./3.*x2.^4.*x3 + 2.*x1.*x2.^3;
A{3,1}=@(x1,x2,x3) -2.*x1.^4 + 1./2.*x1.^3.*x3 - 2./3.*x1.*x3.^2 + 4./5.*x2.*x3.^2;
A{3,2}=@(x1,x2,x3) 5./2.*x1.^4.*x2.*x3 - 2.*x2.^3.*x3.^2 + 2.*x1.^2.*x2.^2 - 3.*x1.^3;
A{3,3}=@(x1,x2,x3) 1./3.*x1.^3.*x3.^3 - 2.*x1.^2.*x3.^3 + 3./2.*x1.^2;
b{3}=@(x1,x2,x3) -4./3.*x1.^2.*x2.*x3.^2 + 3./4.*x1.^2 + 1./4.*x1.*x3;
c{3}=@(x1,x2,x3) -2./3.*x1.^3.*x2.^2.*x3 - 4./3.*x2.*x3.^5 - x1.^2.*x2.^2.*x3 + 1./2.*x2.^2.*x3.^2;
a0=@(x1,x2,x3) x1.^4.*x2.^2 - 1./3.*x1.^4.*x3.^2 - 3./4.*x1.*x2.^3.*x3.^2 - 2./3.*x1.*x2.^2.*x3;
Dop=Loperator(3,A,b,c,a0,'name','sage_polyrand');
u=@(x1,x2,x3) -4./3.*x1.^4.*x2.^2 + 4./5.*x2.*x3.^5 + x1.*x2.^2.*x3.^2 - x3.^2;
v=@(x1,x2,x3) 3./4.*x1.^2.*x2.^4 - 3.*x1.^2.*x2.^3 - 1./5.*x1.^3.*x3.^2 - 1./2.*x1.*x2.*x3;
Inum=-2.495859133910438;
I=-1046080453703/419126400000;
degree=6;
Test(i)=setTest(Dop,u,v,Inum,I,degree);
